> ## Documentation Index
> Fetch the complete documentation index at: https://scrinly.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a crawl



## OpenAPI

````yaml /api-reference/openapi.json post /crawl
openapi: 3.1.0
info:
  title: Scrinly Browser API
  version: '2026-08-14'
  description: >-
    Public API for browser rendering, screenshots, structured extraction,
    grounded page-reconstruction blueprints, batches, jobs, crawls, schedules,
    and usage.
servers:
  - url: https://api.scrinly.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Rendering
    description: Synchronous and asynchronous browser renders.
  - name: Batches
    description: Create multiple asynchronous render jobs.
  - name: Jobs
    description: Inspect and retry account-owned jobs.
  - name: Crawls
    description: Traverse a site and collect page results.
  - name: Schedules
    description: Create and manage account-owned render schedules.
  - name: Usage
    description: Read account credit usage.
paths:
  /crawl:
    post:
      tags:
        - Crawls
      summary: Start a crawl
      operationId: createCrawl
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CrawlRequest'
      responses:
        '202':
          description: Crawl accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlAccepted'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
components:
  schemas:
    CrawlRequest:
      type: object
      additionalProperties: false
      required:
        - url
      properties:
        url:
          $ref: '#/components/schemas/HttpUrl'
        maxPages:
          type: integer
          minimum: 1
          maximum: 5000
          default: 50
        maxDepth:
          type: integer
          minimum: 0
          maximum: 10
          default: 3
        maxConcurrentPages:
          type: integer
          minimum: 1
          maximum: 10
          default: 3
        maxDurationMs:
          type: integer
          minimum: 1000
          maximum: 21600000
          default: 1800000
        scope:
          type: string
          enum:
            - origin
            - host
            - domain
            - any
          default: origin
        includePaths:
          type: array
          items:
            type: string
        excludePaths:
          type: array
          items:
            type: string
        followBinary:
          type: boolean
          default: false
        robots:
          type: string
          enum:
            - obey
            - ignore
          default: obey
        markdown:
          type: boolean
          default: true
        html:
          type: boolean
          default: false
        structure:
          type: boolean
          default: false
        store:
          type: boolean
          default: true
        storage_path:
          type: string
          default: crawls
        query:
          type: string
          enum:
            - normalise
            - strip
            - keep
          default: normalise
        webhookUrl:
          $ref: '#/components/schemas/HttpUrl'
        webhookSecret:
          type: string
          writeOnly: true
    CrawlAccepted:
      type: object
      required:
        - success
        - id
        - statusUrl
        - pagesUrl
        - resultsUrl
      properties:
        success:
          const: true
        id:
          type: string
          format: uuid
        statusUrl:
          type: string
        pagesUrl:
          type: string
        resultsUrl:
          type: string
    HttpUrl:
      type: string
      format: uri
      maxLength: 2048
      pattern: ^https?://
    Error:
      type: object
      properties:
        success:
          type: boolean
          const: false
        error:
          type: string
        type:
          type: string
        message:
          type: string
        fields:
          type: array
          items:
            $ref: '#/components/schemas/FieldError'
    FieldError:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
      required:
        - field
        - message
  responses:
    BadRequest:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Missing, unknown, or revoked API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    PaymentRequired:
      description: Credit limit reached
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Scrinly API key
      description: Customer API key from the Scrinly dashboard.

````